Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class RendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase

Direct Known Subclasses:
  AbstractRowsRenderer, AjaxCommandRendererBase, AjaxOutputPanelRenderer, AjaxPollRenderer, AjaxStatusRenderer, CollapsibleSubTableTogglerRendererBase, DataScrollerBaseRenderer, DivPanelRenderer, DnDRenderBase, DragIndicatorRendererBase, DropDownMenuRendererBase, FileUploadRendererBase, InputRendererBase, LogRendererBase, MediaOutputRenderer, MenuGroupRendererBase, MenuSeparatorRendererBase, MessageRendererBase, NotifyRendererBase, NotifyStackRendererBase, PanelBaseRenderer, PopupPanelBaseRenderer, ProgressBarBaseRenderer, ToolbarRendererBase, TreeNodeRendererBase, TreeRendererBase

    public abstract class RendererBase

extends javax.faces.render.Renderer

Base Renderer for all chameleon Skin's and components. At most, make all common procedures and realise concrete work in "template" methods.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:58:51 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Constructor Summary
`RendererBase()`

Method Summary
`java.lang.String` | `concatClasses(java.lang.Object... objects)`
`java.lang.String` | `concatStyles(java.lang.Object... objects)`
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
`protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
`void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
`protected org.richfaces.skin.Skin` | `getSkin(javax.faces.context.FacesContext context)` Calculate current Skin for rendering.
`RendererUtils` | `getUtils()` Due to big number of common utility methods, base renderer divide to 2 classes - renderer and utils.
`protected void` | `preDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `preEncodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `queueComponentEventForBehaviorEvent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String eventName)`
`void` | `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Render all children for given component.

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RendererBase

    public RendererBase()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `javax.faces.render.Renderer`

### queueComponentEventForBehaviorEvent

    protected void queueComponentEventForBehaviorEvent(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       java.lang.String eventName)

### preDecode

    protected void preDecode(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

### preEncodeBegin

    protected void preEncodeBegin(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `javax.faces.render.Renderer`
  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `javax.faces.render.Renderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `javax.faces.render.Renderer`
  Throws:
    `java.io.IOException`

### getSkin

    protected org.richfaces.skin.Skin getSkin(javax.faces.context.FacesContext context)

  Calculate current Skin for rendering.

  Parameters:
    `context` - - current `FacesContext`
  Returns:

### getUtils

    public RendererUtils getUtils()

  Due to big number of common utility methods, base renderer divide to 2 classes - renderer and utils. since use static methods of utility class breack object paradigm, we use getter for concrete util instance. Developer can override any utility metod in 2 stages : 1) Create subclass of `RendererUtils` and override utility method. 2) Override this method for return instance of such subclass.

  Returns:
    Returns the utils.

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Returns:

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Parameters:
    `context` -
    `component` -

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `encodeBegin` method.

  Parameters:
    `writer` -
    `context` -
    `component` -
  Throws:
    `java.io.IOException`

### doEncodeChildren

    protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                    javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                             throws java.io.IOException

  Parameters:
    `writer` -
    `context` -
    `component` -
  Throws:
    `java.io.IOException`

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.

  Parameters:
    `writer` -
    `context` -
    `component` -
  Throws:
    `java.io.IOException`

### renderChildren

    public void renderChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Render all children for given component.

  Parameters:
    `facesContext` -
    `component` -
  Throws:
    `java.io.IOException`

### concatClasses

    public java.lang.String concatClasses(java.lang.Object... objects)

### concatStyles

    public java.lang.String concatStyles(java.lang.Object... objects)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.